# layout.h File Reference

`#include <log4cplus/config.h>`
`#include <log4cplus/loglevel.h>`
`#include <log4cplus/streams.h>`
`#include <log4cplus/tstring.h>`
`#include <log4cplus/helpers/logloguser.h>`
`#include <log4cplus/helpers/property.h>`
`#include <log4cplus/helpers/timehelper.h>`
`#include <log4cplus/spi/loggingevent.h>`
`#include <vector>`

Include dependency graph for layout.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | log4cplus
namespace | log4cplus::pattern

## Detailed Description

Definition in file layout.h.